spring.mvc.view.prefix=/WEB-INF/views/
spring.mvc.view.suffix=.jsp

spring.datasource.url=jdbc:postgresql://localhost:5432/iwa_lab
spring.datasource.username=postgres
spring.datasource.password=admin

spring.datasource.testWhileIdle = true
spring.datasource.validateQuery = SELECT 1

# IMPORTANT: to use data.sql file has to be uncommented
spring.sql.init.mode = always

# Show or not log for each sql query
spring.jpa.show-sql = true

# Hibernate ddl auto (create, create-drop, update)
spring.jpa.hibernate.ddl-auto = update

# Naming strategy
spring.jpa.hibernate.naming-strategy = org.hibernate.cfg.ImprovedNamingStrategy

# Use spring.jpa.properties.* for Hibernate native properties (the prefix is
# stripped before adding them to the entity manager)

# The SQL dialect makes Hibernate generate better SQL for the chosen database
spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.PostgreSQLDialect

# Fix Postgres JPA Error (Method org.postgresql.jdbc.PgConnection.createClob() is not yet implemented).
spring.jpa.properties.hibernate.jdbc.lob.non_contextual_creation=true

pl.dmcs.rkotas.jwtSecret = jwtSecretKey
pl.dmcs.rkotas.jwtExpiration = 3600
